Subject: Re: bug#25177: Test failures don't cause some Python packages to fail [was Re: [PATCH 05/11] gnu: Add python-pygit2.]

From: Leo Famulari <[email-masked]>
Date: Mon, 12 Dec 2016 10:44:12 -0500

On Mon, Dec 12, 2016 at 08:54:40AM +0100, Marius Bakke wrote:
> The good news: the attached patch makes 'check' work as expected. The
> bad news is that we have some breakages.
> 
> 'python-py' fails with:
> 
> TypeError: py.test.__dict__ is not a dictionary
> 
> Which seems similar to
> 
> https://github.com/NixOS/nixpkgs/issues/12565#issuecomment-174165144

Yikes, I had hoped to avoid addressing that Nix issue and the humongous
"fix" for a while longer:

https://github.com/NixOS/nixpkgs/pull/12552

> I tried adding a newer setuptools as input, to no avail. Needs more
> investigation.

Okay, I'm happy to hear that it didn't work ;) My understanding is that
with the new python-build-system, packages are built with the setuptools
that comes with Python, not the external python-setuptools package.

Please let us know what you find.

Hartmut, any thoughts?

In any case, I think it's time to start working on a 'python-updates'
branch, which could include this patch.